Post by Purebeads » Sun Jul 27, 2014 7:55 pm

avvici -arvixe- wrote:
Purebeads wrote:It would seem that this is my only solution for upgrading to OpenCart 1.5 on Arvixe: To copy my installation of OpenCart 1.4 to Arvixe (from my old hosting company), then import my database from my old hosting company, and then run the script. Is that right?
Sounds about right. If you have any further questions feel free to ask.

Joe
So in other words, just importing my old database into OpenCart 1.5x on Arvixe won't work? How would OC 1.5x react if I tried to use a 1.4x database? Would it just crash completely, or would there be some way for me to make it work?

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Qphoria » Thu Jul 31, 2014 4:25 am

The files have no relevance to the database, other than the config.php file. The beta upgrade from 1.4.x to 1.5.2.x only uses the config.php file to get the db information for upgrade. But to complete the process from the 1.5.2.x state to the latest state, you need to run the upgrade script that comes with your opencart install.

So if you just make a folder "myupdate" with the following structure:

/myupdate
/install
/config.php <--- copied from your 1.4.x site

and run the
http://mysite.com/myupdate/install/upgr ... to_15x.php file (whatever the file is named)
Then it should upgrade the database to 1.5.2.x level.

I "believe" you could just copy the "install" and "system" folders from the latest version of opencart and drop that into the myupdate folder and then run the http://mysite.com/myupdate/install/index.php and it should let you upgrade from 1.5.2.x to the current state.

Then you "should" technically be able to drop your current 1.5.x database and import this one and it should work.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Purebeads » Thu Jul 31, 2014 6:41 am

I'll try that. I have until April to get 1.5x working on Arvixe before I have to redirect my domain names, so I have time to figure it out.

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by vioza » Wed Aug 27, 2014 3:51 am

Hi Guys,

Tried upgrading from 1.4.9 to 1.5.6 and getting to following errors:

I ran the script once, tried multiple times (and yes i restored the backup before trying again).

Any ideas what is going on?

Love to hear from you.


Code: Select all

OpenCart 1.x Upgrade Script (BETA)

The following errors occured:
Could not execute this query: INSERT INTO `option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `product_option`; Duplicate entry '339' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `product_option_description`; Duplicate entry '339-2' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `product_option_value`; Duplicate entry '1067' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `product_option_value_description` AS `povd` INNER JOIN `product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Duplicate entry '1089-2' for key 'PRIMARY'

The above errors occurred because the script could not properly determine the existing state of those db elements. Your store may not need those changes. Please post any errors on the forums to ensure that they can be addressed in future versions!
OpenCart.com

Newbie

Posts

Joined
Wed Oct 23, 2013 1:35 am

Post by Serch » Fri Aug 29, 2014 5:34 pm

Hi!
I'm trying too to upgrade from 1.4.9.1 to the last version but I'm getting a strange error:
Too many connection to database

And then it says than it can't connect.

Is the script too fast for may hosting provider? Can be the script delayed?

Thanks!

Newbie

Posts

Joined
Fri Aug 29, 2014 5:27 pm

Post by Qphoria » Mon Sep 01, 2014 11:50 am

vioza wrote:Hi Guys,

Tried upgrading from 1.4.9 to 1.5.6 and getting to following errors:

I ran the script once, tried multiple times (and yes i restored the backup before trying again).

Any ideas what is going on?

Love to hear from you.


Code: Select all

OpenCart 1.x Upgrade Script (BETA)

The following errors occured:
Could not execute this query: INSERT INTO `option` (`option_id`, `type`, `sort_order`)SELECT `product_option_id`, "select", `sort_order` FROM `product_option`; Duplicate entry '339' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_description` (`option_id`, `language_id`, `name`)SELECT `product_option_id`, `language_id`, `name` FROM `product_option_description`; Duplicate entry '339-2' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_value` (`option_value_id`, `option_id`, `sort_order`)SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `product_option_value`; Duplicate entry '1067' for key 'PRIMARY'

Could not execute this query: INSERT INTO `option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)SELECT `pov`.`product_option_value_id` , `language_id` , `pov`.`product_option_id` , `name`FROM `product_option_value_description` AS `povd` INNER JOIN `product_option_value` AS `pov` ON `pov`.`product_option_value_id` = `povd`.`product_option_value_id`; Duplicate entry '1089-2' for key 'PRIMARY'

The above errors occurred because the script could not properly determine the existing state of those db elements. Your store may not need those changes. Please post any errors on the forums to ensure that they can be addressed in future versions!
OpenCart.com
Try ignoring those errors. The errors say the adjustments are already there

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by auphhy » Sun Sep 07, 2014 10:34 pm

Hi,

It was successful when I ran the upgrade script. I followed every instruction closely, however it was only after I've installed the new theme that I realized that the product pages aren't working: http://prontocoffeemachines.com/

I am having this error -

2014-09-07 14:30:06 - PHP Notice: Error: Unknown column 'sort_order' in 'order clause'<br />Error No: 1054<br />SELECT * FROM product_image WHERE product_id = '89' ORDER BY sort_order ASC in /public_html/system/database/mysql.php on line 50

Could anyone help me with it?

Newbie

Posts

Joined
Sun Sep 07, 2014 10:32 pm

Post by carmedia » Mon Sep 08, 2014 9:37 pm

Hej, I have upgraded from 1.5.5 to 1.5.6.4 and when i click on product this mesg comes up. should i need to insert this oc_product_profile in table or how can i fix this problem.

Notice: Error: Table 'carmedia_se.oc_product_profile' doesn't exist
Error No: 1146
SELECT `pd`.* FROM `oc_product_profile` `pp` JOIN `oc_profile_description` `pd` ON `pd`.`language_id` = 2 AND `pd`.`profile_id` = `pp`.`profile_id` JOIN `oc_profile` `p` ON `p`.`profile_id` = `pd`.`profile_id` WHERE `product_id` = 81 AND `status` = 1 AND `customer_group_id` = 1 ORDER BY `sort_order` ASC in /customers/8/e/3/carmedia.se/httpd.www/system/database/mysql.php on line 50

Car Multimedia System, Sales, Support & Installation


User avatar
Newbie

Posts

Joined
Sun Sep 08, 2013 7:54 pm
Location - Sweden

Post by Qphoria » Mon Sep 08, 2014 10:05 pm

carmedia wrote:Hej, I have upgraded from 1.5.5 to 1.5.6.4 and when i click on product this mesg comes up. should i need to insert this oc_product_profile in table or how can i fix this problem.
You should not be allowed to touch a computer if you can't read the readme file and the "ONLY FOR 1.4.x to 1.5.x UPGRADES" listed ad nauseum.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by carmedia » Tue Sep 09, 2014 12:46 am

how can i fix this problem
you have any idea plz share with me

Car Multimedia System, Sales, Support & Installation


User avatar
Newbie

Posts

Joined
Sun Sep 08, 2013 7:54 pm
Location - Sweden

Post by carmedia » Tue Sep 09, 2014 3:58 am

Qphoria wrote:
carmedia wrote:Hej, I have upgraded from 1.5.5 to 1.5.6.4 and when i click on product this mesg comes up. should i need to insert this oc_product_profile in table or how can i fix this problem.
You should not be allowed to touch a computer if you can't read the readme file and the "ONLY FOR 1.4.x to 1.5.x UPGRADES" listed ad nauseum.

Thank you, i could read this txt file, I am trying to fix this to follow this instructions,

Car Multimedia System, Sales, Support & Installation


User avatar
Newbie

Posts

Joined
Sun Sep 08, 2013 7:54 pm
Location - Sweden

Post by nick941741 » Wed Sep 17, 2014 8:19 pm

nick941741 wrote:Missing Product options.

I've run the script and it seemed to work perfectly, but when logging in and checking the products I notice that there are no product option listed either individually for products or under the options on the menu.

The DB still shows the options.

Any ideas?

Nick
Can anyone help with this?

It's getting kind of urgent now as the client wants to enhance the store and all the new features can't be added till I've managed to get the upgrade working with the product options.

I'm running a local copy of the store and upgrading locally too, using WAMP as a SQL server.

I can see the product options in the tables, but they are no longer connected to the the products.

Any help appreciated.

Nick

Newbie

Posts

Joined
Thu May 08, 2014 3:32 pm

Post by sirszor » Sat Nov 08, 2014 6:00 am

Hi,
What is the latest update script for 1.4.9.6 -> 1.5.x update?
I can download only "Beta3-upgrade-14x-to-15x-YES-OPTv4.zip".
If there is a latest version, please send download link.
Thank you,

Newbie

Posts

Joined
Sun Mar 06, 2011 12:15 am

Post by Qphoria » Mon Nov 10, 2014 10:02 pm

clearly if there was a newer version then it would be here. There will never be a newer version. This is the final. there doesn't need to be any newer version.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by rjdown » Wed Nov 12, 2014 7:42 pm

What about the tax field in order_products?

Example of an item costing 500, with a tax rate of 20%

1.4: "tax" field = 20 (the tax RATE)
1.5: "tax" field = 100 (the tax VALUE)

Newbie

Posts

Joined
Wed May 18, 2011 9:16 pm

Post by rjdown » Tue Nov 18, 2014 12:38 am

I've verified this in the code, and in the databases of a number of our clients' sites spanning several versions of 1.4 and 1.5. Seems like a bit of a big omission from this upgrade script. Without adjusting, all invoices from pre-upgrade will show the wrong amounts on each line. It doesn't affect the totals, but it's still a big error. For the UK, where items have 20% tax, it will add £20 to each line! This also affects some of the admin pages.

The fix is very simple, just stick this line at the end of upgrade-14x-to-15x.sql:

Code: Select all

UPDATE `oc_order_product` SET `tax` = (`total` * `tax` / 100);

Newbie

Posts

Joined
Wed May 18, 2011 9:16 pm

Post by jmagro » Wed Dec 31, 2014 2:22 am

Forgive me for being dumb but do I run this script first and THEN install version 1.5x or do I first run the installation for 1.5 and THEN run this script. ???

New member

Posts

Joined
Thu May 12, 2011 3:31 am

Post by Qphoria » Wed Jan 07, 2015 1:11 am

jmagro wrote:Forgive me for being dumb but do I run this script first and THEN install version 1.5x or do I first run the installation for 1.5 and THEN run this script. ???
It doesn't really matter... but I would do this

1. Upload 1.5.x over the current 1.4.x version... overwriting all files.
2. Upload this beta script to the install folder that now exists
3. Run the beta script at http://mysite.com/install/upgrade-14x-to-15x.php
4. Run the default opencart installer at http://mysite.com/install/index.php
5. Login to Admin
Follow the rest of the steps from the guide.

OpenCart 2.0.x Mod Update Info

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by hybridms » Mon Jan 26, 2015 3:25 am

Hello and thank you for the script,

Just upgraded from v1.4.9.1 to v1.5.6.4 and everything seems OK but cannot change some of the settings in System/Settings:

1. Store Tab - can't change the theme of the store
2. Option Tab / TAXES - Display Prices With Tax - can't switch to YES to show princes with tax.

when trying to save some of that options the message is "Please check carefully for errors"

The problem with the option "Display Prices With Tax" existed on v1.4.9.1 and I thought the upgrade will fix that problem but that option still don't react and got error message. Is it possible to reset settings to default open cart settings or anything else I can do at least to change the theme. Everything else works fine so thanks again.

Newbie

Posts

Joined
Sun Jan 25, 2015 10:17 pm

Post by EishZA » Thu Feb 19, 2015 4:31 pm

Hi all! Busy running through the upgrade process from 1.4.9 to 1.5.4. When I start Step 16, I get a blank page after clicking Edit on the store listed. All previous steps completed without any issues. Any ideas?

Newbie

Posts

Joined
Thu Feb 19, 2015 4:26 pm
Who is online

Users browsing this forum: No registered users and 40 guests